package domain


type AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo struct {
    /*
        外部渠道店ID(与shop_id必选其一)     */
    OutShopId  *string `json:"out_shop_id,omitempty" `

    /*
        外部订单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        订单状态   已支付： PAID；  TRADE_CLOSE（仅未支付订单）     */
    OrderStatus  *string `json:"order_status,omitempty" `

    /*
        渠道来源(选填out_shop_id时该值必填)     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        渠道店id(与out_shop_id必选其一)     */
    ShopId  *string `json:"shop_id,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo) SetOutShopId(v string) *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo {
    s.OutShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo) SetOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo) SetOrderStatus(v string) *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo {
    s.OrderStatus = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo) SetOrderFrom(v int64) *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo) SetShopId(v string) *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo {
    s.ShopId = &v
    return s
}
